For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • API Reference
      • POSTUpload file
      • GETGet file
      • GETDownload file
  • Event Reference
API ReferenceFiles

Upload file

POST
https://api.plextera.com/api/public/v1/files
POST
/api/public/v1/files
$curl -X POST https://api.plextera.com/api/public/v1/files \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@string
201Created
1{
2 "id": "string",
3 "name": "string",
4 "mimeType": "string",
5 "sizeBytes": 1
6}

Uploads a file to Plextera File Service. Common document, image, text, Office, archive, audio, and video file types are supported. Executable and script files are rejected. Maximum file size: 50 MB.

Was this page helpful?
Previous

Get file

Next
Built with

Authentication

Authorizationstring

Use the API key format: api-key <token>.

Request

Multipart file upload. The file part is required.

filefileRequired

File to upload. Executable and script files are rejected. Maximum size: 50 MB.

Response

Created
idstring
namestring
mimeTypestring
sizeByteslong